Subject: Re: bug#79140: 29.1; Editing the occur buffer: not possible to remove lines

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Aug 2025 17:21:58 +0300

> Date: Fri, 1 Aug 2025 16:57:02 +0000
> From:  Jurgen De Backer via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> When comparing the behaviour of editing the occur buffer,
> we noted that in emacs 29.1 it is no longer possible to remove entire lines of
> occurrences.
> 
> When I do an occur, I often want to filter the result by using delete-matching lines.
> I used to do that by doing  C-x C-q   (toggle read only).
> But since emacs 29.1 the text itself is marked read only. At least the
> line number of the match can no longer be deleted.

See bug#53419 for why we made that change.

You could remove the read-only text properties from the buffer in your
occur-mode-hook, I think.  Did you try that?